Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.tool.hbm2ddl
Class SchemaValidator

    java.lang.Object
      org.hibernate.tool.hbm2ddl.SchemaValidator

    public class SchemaValidator

extends Object

A commandline tool to update a database schema. May also be called from inside an application.

Constructor Summary
`SchemaValidator(Configuration cfg)`
`SchemaValidator(Configuration cfg, Properties connectionProperties)`
`SchemaValidator(ServiceRegistry serviceRegistry, Configuration cfg)`

Method Summary
`static void` | `main(String[] args)`
`void` | `validate()` Perform the validations.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaValidator

    public SchemaValidator(Configuration cfg)
                    throws HibernateException

Throws:
  `HibernateException`

### SchemaValidator

    public SchemaValidator(Configuration cfg,
                           Properties connectionProperties)
                    throws HibernateException

Throws:
  `HibernateException`

### SchemaValidator

    public SchemaValidator(ServiceRegistry serviceRegistry,
                           Configuration cfg)
                    throws HibernateException

Throws:
  `HibernateException`

Method Detail

### main

    public static void main(String[] args)

### validate

    public void validate()

  Perform the validations.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.